%lib_package dvdnav 4

Name: libdvdnav
Version: 0.1.10
Release: 2%{?dist}
Summary: DVD Resources for Open Source Development
Group: System Environment/Libraries
License: GPL
URL: http://dvd.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/dvd/libdvdnav-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc-c++
%lib_dependencies

%description

libdvdnav is a library that allows easy use of sophisticated DVD
navigation features such as DVD menus, multiangle playback and even
interactive DVD games.

All this functionality is provided through a simple API which provides
the DVD playback as a single logical stream of blocks, intermitted by
special dvdnav events to report certain conditions. The main usage of
libdvdnav is a loop regularly calling a function to get the next
block, surrounded by additional calls to tell the library of user
interaction.

The whole DVD virtual machine and internal playback states are
completely encapsulated.

%prep
%setup -q


%build
%configure
make


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

cat > develfiles.list << EOF
%defattr(-,root,root,-)
%{_bindir}/dvdnav-config
EOF

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README AUTHORS ChangeLog COPYING 



%changelog
* Sun Feb 12 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

